Blog

Learn about new releases, tips & tricks
  • Hits: 5744

JomSocial To Drop Support For Joomla 2.5 At The End Of 2014

The end of Joomla 2.5's life-cycle is coming soon. At the close of 2014, the official Joomla core team will no longer support or manage Joomla 2.5.

At JomSocial, we follow those end of life-cycles closely. We plan to stop supporting Joomla 2.5 at the end of the year, about the same time that we release JomSocial 3.4.

About JomSocial 3.4

JomSocial 3.4 will be a major overhaul of all the JomSocial code. We've already started working on it even as we're building JomSocial 3.3 which will focus on a new design.

While we clean up the code, we will also remove all the legacy code and all the conditions we now have to check to determine whether the application is installed on Joomla 2.5 or 3.x. This will speed up JomSocial significantly and make it a lot more stable.

Unit Testing

JomSocial 3.4 will also have much more comprehensive unit testing — code that tests the code itself on a very low level. It's the cornerstone of any Test Driven Development and produces far fewer bugs at the user level.

When should you migrate to Joomla 3.x?

JomSocial 3.4 will have a sparkling new and optimized code which will not support Joomla 2.5. So the sooner you move to Joomla 3.x, the better. You'll certainly need to do it before five months are up so you may as well start now. You'll need to verify that all the extensions you use on your site already support Joomla 3.x or can be easily replaced with an alternative.

How to migrate from Joomla 2.5 to Joomla 3.x

Here's a tutorial that explains how to migrate from Joomla 2.5 to Joomla 3.x. and how to migrate your JomSocial 2.x to 3.x: http://tiny.cc/migrateJandJS

Questions? Comments?

Please post them below.

Join 180,000 websites creating Amazing communities

JomSocial is the most complete, easy-to-use addon that turns Joomla CMS into a
full -fledged, social networking site

TRY NOW BUY NOW